# coding: utf-8

"""
    OpenAPI definition

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: v0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from java_api_python_client.api.ingredient_controller_api import IngredientControllerApi


class TestIngredientControllerApi(unittest.TestCase):
    """IngredientControllerApi unit test stubs"""

    def setUp(self) -> None:
        self.api = IngredientControllerApi()

    def tearDown(self) -> None:
        pass

    def test_create_ingredient(self) -> None:
        """Test case for create_ingredient

        """
        pass

    def test_create_unit(self) -> None:
        """Test case for create_unit

        """
        pass

    def test_get_all_ingredient_types(self) -> None:
        """Test case for get_all_ingredient_types

        """
        pass

    def test_get_all_units(self) -> None:
        """Test case for get_all_units

        """
        pass

    def test_get_ingredient(self) -> None:
        """Test case for get_ingredient

        """
        pass

    def test_get_ingredients(self) -> None:
        """Test case for get_ingredients

        """
        pass

    def test_replace_ingredient_types(self) -> None:
        """Test case for replace_ingredient_types

        """
        pass

    def test_replace_ingredient_units(self) -> None:
        """Test case for replace_ingredient_units

        """
        pass


if __name__ == '__main__':
    unittest.main()
